Class | SOAP::EncodingStyle::SOAPHandler::SOAPUnknown
In: | soap/encodingstyle/soapHandler.rb
Parent: | SOAPTemporalObject

### Methods

as_nil as_string as_struct new

### Attributes

definedtype | [RW] |
extraattr | [R] |
type | [R] |

### Public Class methods

new(handler, elename, type, extraattr)

[Source]

    # File soap/encodingstyle/soapHandler.rb, line 102
        def initialize(handler, elename, type, extraattr)
          super()
          @handler = handler
          @elename = elename
          @type = type
          @extraattr = extraattr
          @definedtype = nil
        end

### Public Instance methods

as_nil()

[Source]

    # File soap/encodingstyle/soapHandler.rb, line 133
        def as_nil
          o = SOAPNil.decode(@elename)
          o.id = @id
          o.root = @root
          o.parent = @parent
          o.position = @position
          o.extraattr.update(@extraattr)
          @handler.decode_parent(@parent, o)
          o
        end

as_string()

[Source]

    # File soap/encodingstyle/soapHandler.rb, line 122
        def as_string
          o = SOAPString.decode(@elename)
          o.id = @id
          o.root = @root
          o.parent = @parent
          o.position = @position
          o.extraattr.update(@extraattr)
          @handler.decode_parent(@parent, o)
          o
        end

as_struct()

[Source]

    # File soap/encodingstyle/soapHandler.rb, line 111
        def as_struct
          o = SOAPStruct.decode(@elename, @type)
          o.id = @id
          o.root = @root
          o.parent = @parent
          o.position = @position
          o.extraattr.update(@extraattr)
          @handler.decode_parent(@parent, o)
          o
        end

[Validate]